using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using BS.Shared;

namespace BeWo.Converter
{
    public class IndividualGoalMassnahmeUncheckPreventConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var type = (ValueListEntryType)value;

            return type.Equals(ValueListEntryType.SupportConceptGoalCategoryType) || type.Equals(ValueListEntryType.SupportConceptGoalType) ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}